MagickCore: configure.h File Reference

# configure.h File Reference

`#include "magick/hashmap.h"`

Go to the source code of this file.

## Data Structures
struct | _ConfigureInfo
## Typedefs
typedef struct _ConfigureInfo | ConfigureInfo
## Functions
MagickExport char ** | GetConfigureList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const char * | GetConfigureValue (const ConfigureInfo *)
MagickExport const ConfigureInfo * | GetConfigureInfo (const char *, ExceptionInfo *)
MagickExport const ConfigureInfo *** | GetConfigureInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport LinkedListInfo * | DestroyConfigureOptions (LinkedListInfo *)
MagickExport LinkedListInfo ** | GetConfigurePaths (const char *, ExceptionInfo *)
MagickExport LinkedListInfo *** | GetConfigureOptions (const char *, ExceptionInfo *)
MagickExport MagickBooleanType | ListConfigureInfo (FILE *, ExceptionInfo *)
MagickExport void | DestroyConfigureList (void)

## Typedef Documentation

typedef struct _ConfigureInfo ConfigureInfo

## Function Documentation

MagickExport void DestroyConfigureList | ( | void |  | ) |

MagickExport LinkedListInfo* DestroyConfigureOptions | ( | LinkedListInfo * |  | ) |

MagickExport const ConfigureInfo* GetConfigureInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const ConfigureInfo* ** GetConfigureInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetConfigureList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport LinkedListInfo* * * GetConfigureOptions | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport LinkedListInfo* * GetConfigurePaths | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* GetConfigureValue | ( | const ConfigureInfo * |  | ) |

MagickExport MagickBooleanType ListConfigureInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |